<?php

namespace App\Classes\General\Eloquent\Filters;

use Illuminate\Database\Eloquent\Builder;

class HasQuestionnaireGroupIn implements Filter
{

    /**
     * @param Builder $builder
     * @param $value
     * @return Builder|mixed
     */
    public static function apply(Builder $builder, $value)
    {
        return $builder->whereHas('question.questionnaire', function (Builder $query) use ($value) {
            $query->whereIn('group', $value);
        });
    }

}
